Create a new db note
Request Information
URI Parameters :
None.
Body Parameters :
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "73328e29-26e0-4267-b69c-d70bf2e023d5",
"db_table_id": "a3b55252-55e5-47e7-856b-aecde44ce2f9",
"db_table_name": "sample string 3",
"id_in_table": "741f76a9-1fed-4d34-b104-dfad1b6d842e",
"user_id": "0367fd7e-ae27-47c3-a835-4a521755d041",
"user_code": "sample string 6",
"date_add": "2026-03-17T07:16:16.3691794+00:00",
"dateutc_add": "2026-03-17T07:16:16.3691794+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-03-17T07:16:16.3691794+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "da3c573f-b2a5-4b78-b3f2-79b67d9c7c9f",
"db_table_id": "bccadfb1-5ac2-4b53-ad67-0144ede2bb8c",
"db_table_name": "sample string 3",
"id_in_table": "929ae0df-a6b5-4302-a157-a99ec8544f5f",
"user_id": "4da35634-0533-43b1-89ff-78dc2865a3e1",
"user_code": "sample string 6",
"date_add": "2026-03-17T07:16:16.3891935+00:00",
"dateutc_add": "2026-03-17T07:16:16.3891935+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-03-17T07:16:16.3891935+00:00"
}